info.bioinfweb.jphyloio.exception

## Class UnsupportedFormatFeatureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - info.bioinfweb.jphyloio.exception.JPhyloIOReaderException
        - - info.bioinfweb.jphyloio.exception.UnsupportedFormatFeatureException

- All Implemented Interfaces:
    StreamLocationProvider, java.io.Serializable

      public class UnsupportedFormatFeatureException
      extends JPhyloIOReaderException

  This exception is thrown by implementations of `JPhyloIOEventReader` if a feature of their format is encountered that is not supported by this reader. Not all readers necessarily support all features of their format (e.g. because they are rarely used or because they cannot be supported in event based reading without buffering a significant amount of data).

  Refer to the documentation of the single readers to find out, if some features of their source format are not supported.

  Since:
    0.0.0
  Author:
    Ben Stöver
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedFormatFeatureException(java.lang.String message, javax.xml.stream.Location location)`
    `UnsupportedFormatFeatureException(java.lang.String message, javax.xml.stream.Location location, java.lang.Throwable cause)`
    `UnsupportedFormatFeatureException(java.lang.String message, long characterOffset, long lineNumber, long columnNumber)`
    `UnsupportedFormatFeatureException(java.lang.String message, long characterOffset, long lineNumber, long columnNumber, java.lang.Throwable cause)`
    `UnsupportedFormatFeatureException(java.lang.String message, StreamLocationProvider location)`
    `UnsupportedFormatFeatureException(java.lang.String message, StreamLocationProvider location, java.lang.Throwable cause)`
    `UnsupportedFormatFeatureException(java.lang.String message, java.lang.Throwable cause)`

  - ### Method Summary

    - ### Methods inherited from class info.bioinfweb.jphyloio.exception.JPhyloIOReaderException

      `getCharacterOffset, getColumnNumber, getLineNumber`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedFormatFeatureException

          public UnsupportedFormatFeatureException(java.lang.String message,
                                                   javax.xml.stream.Location location,
                                                   java.lang.Throwable cause)

    - #### UnsupportedFormatFeatureException

          public UnsupportedFormatFeatureException(java.lang.String message,
                                                   javax.xml.stream.Location location)

    - #### UnsupportedFormatFeatureException

          public UnsupportedFormatFeatureException(java.lang.String message,
                                                   long characterOffset,
                                                   long lineNumber,
                                                   long columnNumber,
                                                   java.lang.Throwable cause)

    - #### UnsupportedFormatFeatureException

          public UnsupportedFormatFeatureException(java.lang.String message,
                                                   long characterOffset,
                                                   long lineNumber,
                                                   long columnNumber)

    - #### UnsupportedFormatFeatureException

          public UnsupportedFormatFeatureException(java.lang.String message,
                                                   StreamLocationProvider location,
                                                   java.lang.Throwable cause)

    - #### UnsupportedFormatFeatureException

          public UnsupportedFormatFeatureException(java.lang.String message,
                                                   StreamLocationProvider location)

    - #### UnsupportedFormatFeatureException

          public UnsupportedFormatFeatureException(java.lang.String message,
                                                   java.lang.Throwable cause)